PLCTIME(3)

NAME
plctime - Calculate continuous time from broken-down time for the current stream

SYNOPSIS
plctime(year, month, day, hour, min, sec, ctime)

DESCRIPTION

Calculate continuous time, ctime, from broken-down time for the current stream. The broken-down time is specified by the following parameters: year, month, day, hour, min, and sec. This function is the inverse of plbtime(3).

The PLplot definition of broken-down time is a calendar time that completely ignores all time zone offsets, i.e., it is the user's responsibility to apply those offsets (if so desired) before using the PLplot time API. By default broken-down time is defined using the proleptic Gregorian calendar without the insertion of leap seconds and continuous time is defined as the number of seconds since the Unix epoch of 1970-01-01T00:00:00Z. However, other definitions of broken-down and continuous time are possible, see plconfigtime(3) which specifies that transformation for the current stream.

Redacted form: General: plctime(year, month, day, hour, min, sec, ctime)

This function is used in example 29.

ARGUMENTS

year (PLINT(3), input)
    Input year.

month (PLINT(3), input)
    Input month in range from 0 (January) to 11 (December).

day (PLINT(3), input)
    Input day in range from 1 to 31.

hour (PLINT(3), input)
    Input hour in range from 0 to 23

min (PLINT(3), input)
    Input minute in range from 0 to 59.

sec (PLFLT(3), input)
    Input second in range from 0. to 60.

ctime (PLFLT_NC_SCALAR(3), output)
    Returned value of the continuous time calculated from the broken-down time specified by the previous parameters.

AUTHORS
Many developers (who are credited at http://plplot.org/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.org/documentation.php.